import { jsxs as _jsxs, jsx as _jsx } from "react/jsx-runtime";
import { FaChevronRight } from 'react-icons/fa';
import { FaChevronLeft } from 'react-icons/fa';
var Pagination = function (_a) {
    var currentPage = _a.currentPage, totalPages = _a.totalPages, onPageChange = _a.onPageChange, pageSizes = _a.pageSizes, currentPageSize = _a.currentPageSize, onPageSizeChange = _a.onPageSizeChange;
    var handlePrevious = function () {
        if (currentPage > 1) {
            onPageChange(currentPage - 1);
        }
    };
    var handleNext = function () {
        if (currentPage < totalPages) {
            onPageChange(currentPage + 1);
        }
    };
    var handlePageSizeChange = function (event) {
        onPageSizeChange(Number(event.target.value));
    };
    return (_jsxs("div", { className: "pagination", style: { display: 'flex', justifyContent: 'center', alignItems: 'center', marginTop: '10px' }, children: [currentPageSize && (_jsx("select", { className: "pagination-select", value: currentPageSize, onChange: handlePageSizeChange, style: { marginLeft: '16px', padding: '4px' }, children: pageSizes.map(function (size) { return (_jsxs("option", { value: size, children: [size, "/trang"] }, size)); }) })), _jsx("button", { className: "pagination-btn__prev", onClick: handlePrevious, disabled: currentPage === 1, children: _jsx(FaChevronLeft, { fontSize: 20 }) }), _jsxs("span", { className: "pagination-text", style: { margin: '0 8px' }, children: ["Trang ", currentPage, " c\u1EE7a ", totalPages] }), _jsx("button", { className: "pagination-btn__next", onClick: handleNext, disabled: currentPage === totalPages, children: _jsx(FaChevronRight, { fontSize: 20 }) })] }));
};
export default Pagination;
